////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////
// CORRECT VALUES
// Ending with L or H denotes Low and High for plausible range
////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////

* This is used below to determine what 'true' is considered to be 
* 	: starting setting is within 2.5 percentage points (producing a 5 percentage point window)
*	: other assumptions are used for questions that are about £ (in TUC survey)
global correct_range		=4.99


***************************************************
** UNEMP RATES, VALUE OF BENEFITS (exc. BSA) AND OTHERS
***************************************************

levelsof(_nation)
foreach country in `r(levels)' {
	local var "uemplwkN"
		quietly sum T`var' if _nation==`country'
		global correct_`var'_`country'		= `r(mean)'
		if ${correct_range}>${correct_`var'_`country'}		local `var'correction_`country' = (${correct_range} - ${correct_`var'_`country'}) 
		if "``var'correction_`country''"==""				global correct_`var'L_`country' 	=${correct_`var'_`country'} - ${correct_range}		
		else												global correct_`var'L_`country' 	=0
		if "``var'correction_`country''"==""				global correct_`var'H_`country'		=${correct_`var'_`country'} + ${correct_range}	
		else												global correct_`var'H_`country'		=${correct_`var'_`country'} + ${correct_range}	+ ``var'correction_`country''	
		*dis "Mean for `var' in country `country' is " round(${correct_`var'_`country'},0.01) "; correction is " round(``var'correction_`country'', 0.01)	
		dis "Correct range for `var' in country `country' is " round(${correct_`var'L_`country'},0.1) " to " round(${correct_`var'H_`country'},0.1)
	local var "sickdsbN"
		quietly sum T`var' if _nation==`country'
		if r(N)>0 {
			global correct_`var'_`country'		= `r(mean)'
			if ${correct_range}>${correct_`var'_`country'}	local `var'correction_`country' = (${correct_range} - ${correct_`var'_`country'}) 
			if "``var'correction_`country''"==""			global correct_`var'L_`country' 	=${correct_`var'_`country'} - ${correct_range}			
			else											global correct_`var'L_`country' 	=0
			if "``var'correction_`country''"==""			global correct_`var'H_`country'		=${correct_`var'_`country'} + ${correct_range}	
			else											global correct_`var'H_`country'		=${correct_`var'_`country'} + ${correct_range}	+ ``var'correction_`country''	
			*dis "Mean for `var' in country `country' is " round(${correct_`var'_`country'},0.01) "; correction is " round(``var'correction_`country'', 0.01)	
			dis "Correct range for `var' in country `country' is " round(${correct_`var'L_`country'},0.1) " to " round(${correct_`var'H_`country'},0.1)
		/**/ 	}
/**/ }


